diff -pruN 0.2.66+ds-1/debian/changelog 0.2.66+ds-2/debian/changelog
--- 0.2.66+ds-1/debian/changelog	2020-05-03 15:19:39.000000000 +0000
+++ 0.2.66+ds-2/debian/changelog	2021-01-05 12:44:54.000000000 +0000
@@ -1,3 +1,20 @@
+croaring (0.2.66+ds-2) unstable; urgency=medium
+
+  [ Simon McVittie ]
+  * d/libroaring-dev.install: Do not override path of CMake metadata.
+    The file varies between architectures, so /usr/share is not the right
+    place for it. Moving it to a location with a different number of path
+    segments also causes it to fail to find the library on non-merged-/usr
+    systems. (Closes: #968063)
+  * d/tests: Add a superficial compile/link/run autopkgtest
+
+  [ Alexander Gerasiov ]
+  * 001-containerptr_roaring_bitmap_add-public.patch: Add patch headers.
+  * Backport 0002-Generate-and-install-pkg-config-metadata-235.patch from
+    upstream (Closes: #968092).
+
+ -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 05 Jan 2021 15:44:54 +0300
+
 croaring (0.2.66+ds-1) unstable; urgency=medium
 
   * New upstream version 0.2.66+ds
diff -pruN 0.2.66+ds-1/debian/libroaring-dev.install 0.2.66+ds-2/debian/libroaring-dev.install
--- 0.2.66+ds-1/debian/libroaring-dev.install	2019-06-30 18:04:51.000000000 +0000
+++ 0.2.66+ds-2/debian/libroaring-dev.install	2021-01-05 12:16:52.000000000 +0000
@@ -1,3 +1,3 @@
 usr/include/roaring
 usr/lib/*/libroaring.so
-usr/lib/*/cmake/roaring /usr/share/cmake
+usr/lib/*/cmake/roaring
diff -pruN 0.2.66+ds-1/debian/patches/0002-Generate-and-install-pkg-config-metadata-235.patch 0.2.66+ds-2/debian/patches/0002-Generate-and-install-pkg-config-metadata-235.patch
--- 0.2.66+ds-1/debian/patches/0002-Generate-and-install-pkg-config-metadata-235.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.2.66+ds-2/debian/patches/0002-Generate-and-install-pkg-config-metadata-235.patch	2021-01-05 12:42:13.000000000 +0000
@@ -0,0 +1,47 @@
+From: Simon McVittie <smcv@debian.org>
+Date: Fri, 7 Aug 2020 21:17:12 +0100
+Subject: Generate and install pkg-config metadata (#235)
+
+This provides a way for dependent projects with non-CMake build
+systems to locate libroaring. Multiple build systems can read these
+files, either directly (like Meson) or via the pkg-config or pkgconf
+tools (like Autotools).
+
+Signed-off-by: Simon McVittie <smcv@debian.org>
+---
+ CMakeLists.txt |  4 ++++
+ roaring.pc.in  | 10 ++++++++++
+ 2 files changed, 14 insertions(+)
+ create mode 100644 roaring.pc.in
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 54de391..b2e91df 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -43,6 +43,10 @@ find_package(CTargets)
+ find_package(Options)
+ find_package(LTO)
+ 
++configure_file("${CMAKE_CURRENT_SOURCE_DIR}/roaring.pc.in"
++               "${CMAKE_CURRENT_BINARY_DIR}/roaring.pc" @ONLY)
++install(FILES "${CMAKE_CURRENT_BINARY_DIR}/roaring.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
++
+ ## C header files get installed to /usr/local/include/roaring typically
+ install(DIRECTORY include/${ROARING_LIB_NAME} DESTINATION include)
+ 
+diff --git a/roaring.pc.in b/roaring.pc.in
+new file mode 100644
+index 0000000..e3b2391
+--- /dev/null
++++ b/roaring.pc.in
+@@ -0,0 +1,10 @@
++prefix=@CMAKE_INSTALL_PREFIX@
++exec_prefix=${prefix}
++libdir=${prefix}/@CMAKE_INSTALL_LIBDIR@
++includedir=${prefix}/@CMAKE_INSTALL_INCLUDEDIR@
++
++Name: roaring
++Description: Roaring bitmap implementation in C
++Version: @ROARING_LIB_VERSION@
++Cflags: -I${includedir}
++Libs: -L${libdir} -lroaring
diff -pruN 0.2.66+ds-1/debian/patches/001-containerptr_roaring_bitmap_add-public.patch 0.2.66+ds-2/debian/patches/001-containerptr_roaring_bitmap_add-public.patch
--- 0.2.66+ds-1/debian/patches/001-containerptr_roaring_bitmap_add-public.patch	2019-06-30 18:53:33.000000000 +0000
+++ 0.2.66+ds-2/debian/patches/001-containerptr_roaring_bitmap_add-public.patch	2021-01-05 12:42:13.000000000 +0000
@@ -1,6 +1,17 @@
+From: Alexander GQ Gerasiov <gq@debian.org>
+Date: Tue, 5 Jan 2021 15:39:23 +0300
+Subject: Make containerptr_roaring_bitmap_add public (used in ClickHouse).
+
+---
+ include/roaring/roaring.h | 2 ++
+ src/roaring.c             | 2 +-
+ 2 files changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/include/roaring/roaring.h b/include/roaring/roaring.h
+index 1c34c31..c388692 100644
 --- a/include/roaring/roaring.h
 +++ b/include/roaring/roaring.h
-@@ -765,6 +765,8 @@
+@@ -765,6 +765,8 @@ void roaring_free_uint32_iterator(roaring_uint32_iterator_t *it);
   */
  uint32_t roaring_read_uint32_iterator(roaring_uint32_iterator_t *it, uint32_t* buf, uint32_t count);
  
@@ -9,9 +20,11 @@
  #ifdef __cplusplus
  }
  #endif
+diff --git a/src/roaring.c b/src/roaring.c
+index 533abb3..3ecb6ff 100644
 --- a/src/roaring.c
 +++ b/src/roaring.c
-@@ -26,7 +26,7 @@
+@@ -26,7 +26,7 @@ static inline bool is_frozen(const roaring_bitmap_t *r) {
  // that we can recover the container touched, which, in turn can be used to
  // accelerate some functions (when you repeatedly need to add to the same
  // container)
diff -pruN 0.2.66+ds-1/debian/patches/series 0.2.66+ds-2/debian/patches/series
--- 0.2.66+ds-1/debian/patches/series	2019-06-30 18:53:33.000000000 +0000
+++ 0.2.66+ds-2/debian/patches/series	2021-01-05 12:42:13.000000000 +0000
@@ -1 +1,2 @@
 001-containerptr_roaring_bitmap_add-public.patch
+0002-Generate-and-install-pkg-config-metadata-235.patch
diff -pruN 0.2.66+ds-1/debian/tests/cmake 0.2.66+ds-2/debian/tests/cmake
--- 0.2.66+ds-1/debian/tests/cmake	1970-01-01 00:00:00.000000000 +0000
+++ 0.2.66+ds-2/debian/tests/cmake	2021-01-05 12:16:52.000000000 +0000
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright 2019-2020 Collabora Ltd.
+# Copyright 2020 Simon McVittie
+# SPDX-License-Identifier: Apache-2.0
+# (see "Apache" in debian/copyright)
+
+set -eux
+
+if [ -n "${DEB_HOST_GNU_TYPE:-}" ]; then
+    cat <<EOF > "$AUTOPKGTEST_TMP/toolchain.cmake"
+set(CMAKE_C_COMPILER $DEB_HOST_GNU_TYPE-gcc)
+set(CMAKE_CXX_COMPILER $DEB_HOST_GNU_TYPE-g++)
+set(PKG_CONFIG_EXECUTABLE $DEB_HOST_GNU_TYPE-pkg-config)
+EOF
+    CCFILE=-DCMAKE_TOOLCHAIN_FILE="$AUTOPKGTEST_TMP/toolchain.cmake"
+else
+    CCFILE=
+fi
+
+srcdir="$(pwd)"
+
+mkdir "$AUTOPKGTEST_TMP/build"
+(
+    cd "$AUTOPKGTEST_TMP/build"
+    cmake $CCFILE "$srcdir/debian/tests/cmake.d"
+)
+make -C "$AUTOPKGTEST_TMP/build" VERBOSE=1
+"$AUTOPKGTEST_TMP/build/hello"
+make -C "$AUTOPKGTEST_TMP/build" VERBOSE=1 clean
diff -pruN 0.2.66+ds-1/debian/tests/cmake.d/CMakeLists.txt 0.2.66+ds-2/debian/tests/cmake.d/CMakeLists.txt
--- 0.2.66+ds-1/debian/tests/cmake.d/CMakeLists.txt	1970-01-01 00:00:00.000000000 +0000
+++ 0.2.66+ds-2/debian/tests/cmake.d/CMakeLists.txt	2021-01-05 12:16:52.000000000 +0000
@@ -0,0 +1,12 @@
+# Copyright 2019-2020 Collabora Ltd.
+# Copyright 2020 Simon McVittie
+# SPDX-License-Identifier: Apache-2.0
+# (see "Apache" in debian/copyright)
+
+cmake_minimum_required(VERSION 3.13)
+project(Hello)
+
+find_package(roaring REQUIRED)
+
+add_executable(hello hello.c)
+target_link_libraries(hello roaring::roaring)
diff -pruN 0.2.66+ds-1/debian/tests/cmake.d/hello.c 0.2.66+ds-2/debian/tests/cmake.d/hello.c
--- 0.2.66+ds-1/debian/tests/cmake.d/hello.c	1970-01-01 00:00:00.000000000 +0000
+++ 0.2.66+ds-2/debian/tests/cmake.d/hello.c	2021-01-05 12:16:52.000000000 +0000
@@ -0,0 +1,16 @@
+/*
+ * Copyright 2019-2020 Collabora Ltd.
+ * Copyright 2020 Simon McVittie
+ * SPDX-License-Identifier: Apache-2.0
+ * (see "Apache" in debian/copyright)
+ */
+
+#include <roaring/roaring.h>
+
+int
+main (int argc, char **argv)
+{
+  roaring_bitmap_t *bitmap = roaring_bitmap_create();
+  roaring_bitmap_free(bitmap);
+  return 0;
+}
diff -pruN 0.2.66+ds-1/debian/tests/control 0.2.66+ds-2/debian/tests/control
--- 0.2.66+ds-1/debian/tests/control	1970-01-01 00:00:00.000000000 +0000
+++ 0.2.66+ds-2/debian/tests/control	2021-01-05 12:16:52.000000000 +0000
@@ -0,0 +1,3 @@
+Tests: cmake
+Depends: build-essential, cmake, libroaring-dev
+Restrictions: superficial, allow-stderr
